Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025989
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-03-13 18:552014-05-07 18:10
ReporterVictorVillarView Statuspublic 
Assigned Topramakrishnan 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision6bed909ec4be
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025989: Lot information not populated in Sales Invoices using Generate Invoices process regarding Sales Orders

DescriptionLot information not populated in Sales Invoices using Generate Invoices process regarding Sales Orders
Steps To ReproduceAs System role,
Go to Windows, tabs and fields,
 - Select Business Partner
   Show up Invoice grouping in its header

As group Admin role,
To make an invoice grouping when generating invoices some additional configuration is needed:

- The Sales Order Invoice Term must be: Customer Schedule After Delivery
- The customer must have an invoice schedule assigned and the invoice grouping: by customer

Then
- Create a Sales Order: qty = 3, Invoice Term must be: Customer Schedule After Delivery
- Create a Goods Shipment-> 1st line: qty=1 Lot= A
2nd line; qty = 1 Lot = B
3rd line: qty = 1 Lot = C

Launch the Generate Invoice process. Realise that in the new Invoice is not populated the Lot information.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025733 closedpramakrishnan Not homogeneous behaviour in Sales management flow 

-  Notes
(0065298)
hgbot (developer)
2014-03-20 09:46

Repository: erp/devel/pi
Changeset: a368fe95659636096e6e280348bcb65ecc5ba8d6
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Tue Mar 18 17:31:42 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a368fe95659636096e6e280348bcb65ecc5ba8d6 [^]

Fixes Issue 25989: Lot information not populated in Sales Invoices using Generate Invoices process regarding Sales Orders

---
M src-db/database/model/functions/C_INVOICE_CREATE.xml
---
(0065313)
hudsonbot (developer)
2014-03-20 17:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/614f58fa156d [^]
Maturity status: Test
(0065406)
VictorVillar (developer)
2014-03-24 18:00

Verified
(0065665)
hgbot (developer)
2014-04-01 14:25

Repository: erp/devel/pi
Changeset: 6bed909ec4bed35eaba4814c5ae6892f5680a081
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Tue Apr 01 17:31:00 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6bed909ec4bed35eaba4814c5ae6892f5680a081 [^]

Fixes Issue 25989, Fixes Issue 25733
25989: Lot information not populated in Sales Invoices using Generate Invoices process regarding Sales Orders
25733: Not homogeneous behaviour in Sales management flow

---
M src-db/database/model/functions/C_INVOICE_CREATE.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
---
(0066002)
plujan (manager)
2014-04-02 09:04

Closed as it was in Resolved for too long
(0066866)
hudsonbot (developer)
2014-05-07 18:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-13 18:55 VictorVillar New Issue
2014-03-13 18:55 VictorVillar Assigned To => dmiguelez
2014-03-13 18:55 VictorVillar Modules => Core
2014-03-13 18:55 VictorVillar Triggers an Emergency Pack => No
2014-03-13 18:55 VictorVillar Assigned To dmiguelez => jonalegriaesarte
2014-03-13 18:55 VictorVillar Issue Monitored: networkb
2014-03-13 19:07 VictorVillar Relationship added related to 0025733
2014-03-17 12:03 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-03-18 06:38 pramakrishnan Status new => scheduled
2014-03-18 06:38 pramakrishnan fix_in_branch => pi
2014-03-20 09:43 pramakrishnan Review Assigned To => VictorVillar
2014-03-20 09:43 pramakrishnan fix_in_branch pi =>
2014-03-20 09:46 hgbot Checkin
2014-03-20 09:46 hgbot Note Added: 0065298
2014-03-20 09:46 hgbot Status scheduled => resolved
2014-03-20 09:46 hgbot Resolution open => fixed
2014-03-20 09:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a368fe95659636096e6e280348bcb65ecc5ba8d6 [^]
2014-03-20 17:18 hudsonbot Checkin
2014-03-20 17:18 hudsonbot Note Added: 0065313
2014-03-24 18:00 VictorVillar Note Added: 0065406
2014-03-24 18:00 VictorVillar Status resolved => closed
2014-04-01 14:25 hgbot Checkin
2014-04-01 14:25 hgbot Note Added: 0065665
2014-04-01 14:25 hgbot Status closed => resolved
2014-04-01 14:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a368fe95659636096e6e280348bcb65ecc5ba8d6 [^] => http://code.openbravo.com/erp/devel/pi/rev/6bed909ec4bed35eaba4814c5ae6892f5680a081 [^]
2014-04-02 09:04 plujan Note Added: 0066002
2014-04-02 09:04 plujan Status resolved => closed
2014-05-07 18:10 hudsonbot Checkin
2014-05-07 18:10 hudsonbot Note Added: 0066866


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker